package schedframe.resources.computing.profiles.energy.power.ui;


import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.profiles.energy.power.PowerProfile;
import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;

public class NodePowerInterface extends ComputingResourcePowerInterface{

	public NodePowerInterface(ComputingResource resource, PowerProfile pp){
		super(resource, pp);
		currentPowerState = StandardPowerStateName.ON;
	}

	public void turnOn(){
		setPowerState(StandardPowerStateName.ON);
	}
	
	public void turnOff(){
		setPowerState(StandardPowerStateName.OFF);
	}

}